- [HTTP request](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.request_body)
- [Response body](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.GetConnectorSecretResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#body.aspect_1)

Get the secret for the associated connector.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/dataConnector}:getConnectorSecret`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the associated data connector. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/projects.locations.collections.dataConnector/getConnectorSecret#google.cloud.discoveryengine.v1alpha.DataConnectorService.GetConnectorSecret`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "app": string, "instance": string, "tenantId": string, "clientId": string, "redirectUri": string, "authorizationUri": string } ``` |

| Fields ||
|---|---|
| `app` | `string` The app name of the associated Connector. |
| `instance` | `string` The instance name of the associated Connector. |
| `tenantId` | `string` The tenant ID of the associated Connector. |
| `clientId` | `string` The client ID of the associated Connector. |
| `redirectUri` | `string` The redirect url of the associated Connector. |
| `authorizationUri` | `string` The authorization uri for the data connector. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.assist.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `discoveryengine.dataConnectors.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).